org.apache.el

## Class ExpressionFactoryImpl

- java.lang.Object
- - javax.el.ExpressionFactory
  - - org.apache.el.ExpressionFactoryImpl

    public class ExpressionFactoryImpl
    extends ExpressionFactory

Author:
  Jacob Hookom [jacob@hookom.net]
See Also:
  `ExpressionFactory`

### Constructor Summary

Constructors
Constructor and Description
`ExpressionFactoryImpl()`

### Method Summary

Methods
`Object` `coerceToType(Object obj, Class<?> type)`
`MethodExpression` `createMethodExpression(ELContext context, String expression, Class<?> expectedReturnType, Class<?>[] expectedParamTypes)`
`ValueExpression` `createValueExpression(ELContext context, String expression, Class<?> expectedType)`
`ValueExpression` `createValueExpression(Object instance, Class<?> expectedType)`

### Methods inherited from class javax.el.ExpressionFactory

`newInstance, newInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionFactoryImpl

    public ExpressionFactoryImpl()

### Method Detail

#### coerceToType

    public Object coerceToType(Object obj,
                      Class<?> type)

Specified by:
  `coerceToType` in class `ExpressionFactory`

#### createMethodExpression

    public MethodExpression createMethodExpression(ELContext context,
                                          String expression,
                                          Class<?> expectedReturnType,
                                          Class<?>[] expectedParamTypes)

Specified by:
  `createMethodExpression` in class `ExpressionFactory`

#### createValueExpression

    public ValueExpression createValueExpression(ELContext context,
                                        String expression,
                                        Class<?> expectedType)

Specified by:
  `createValueExpression` in class `ExpressionFactory`

#### createValueExpression

    public ValueExpression createValueExpression(Object instance,
                                        Class<?> expectedType)

Specified by:
  `createValueExpression` in class `ExpressionFactory`